defmodule Nulla.Repo.Migrations.CreateNotes do
  use Ecto.Migration

  def change do
    create table(:notes, primary_key: false) do
      add :id, :bigint, primary_key: true
      add :ap_id, :string
      add :inReplyTo, :string
      add :published, :utc_datetime
      add :url, :string
      add :visibility, :string
      add :to, {:array, :string}
      add :cc, {:array, :string}
      add :sensitive, :boolean, default: false, null: false
      add :content, :string
      add :tag, {:array, :map}
      add :language, :string
      add :featured, :boolean, default: false, null: false
      add :actor_id, references(:actors, on_delete: :delete_all)

      timestamps(type: :utc_datetime)
    end

    create index(:notes, [:actor_id])
  end
end
