defmodule Nulla.Repo.Migrations.CreateAnnounces do
  use Ecto.Migration

  def change do
    create table(:announces, primary_key: false) do
      add :id, :bigint, primary_key: true
      add :actor_id, references(:actors, on_delete: :delete_all), null: false
      add :note_id, references(:notes, on_delete: :delete_all), null: false

      timestamps(type: :utc_datetime)
    end

    create index(:announces, [:actor_id])
    create index(:announces, [:note_id])
    create unique_index(:announces, [:actor_id, :note_id])
  end
end
